<!DOCTYPE html>
<html lang="en">
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add Product</title>
    <link rel="stylesheet" href="/vendors/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" href="/vendors/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="/vendors/themify-icons/themify-icons.css">
    <link rel="stylesheet" href="/vendors/linericon/style.css">
    <link rel="stylesheet" href="/vendors/owl-carousel/owl.theme.default.min.css">
    <link rel="stylesheet" href="/vendors/owl-carousel/owl.carousel.min.css">
    <link rel="stylesheet" href="/vendors/nice-select/nice-select.css">
    <link rel="stylesheet" href="/vendors/nouislider/nouislider.min.css">

    <link rel="stylesheet" href="/css/style.css">
</head>
<body>
<div th:insert="fragments/header :: header"></div>

<!--================Login Box Area =================-->
<section class="login_box_area section-margin">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="login_box_img">
                    <div class="hover">
                        <h4>Already have an account?</h4>
                        <p>There are advances being made in science and technology everyday, and a good example of this is the</p>
                        <a class="button button-account" href="/login">Login Now</a>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="login_form_inner register_form_inner">
                    <h3>Create an account</h3>
                    <p th:text="${message}"></p>
                    <!--/*@thymesVar id="userDto" type="com.example.demo.dto.UserDto"*/-->
                    <form method="post" action="/register" th:object="${userDto}">
                        <div class="col-md-12 form-group">
                            <input class="form-control" id="name" name="name" onblur="this.placeholder = 'FullName'" onfocus="this.placeholder = ''"
                                   placeholder="Full Name" required th:field="*{name}"
                                   type="text">
                        </div>
                        <div class="col-md-12 form-group">
                            <input class="form-control" id="email" name="email" onblur="this.placeholder = 'Email Address'" onfocus="this.placeholder = ''"
                                   placeholder="Email Address" required th:field="*{email}"
                                   type="email">
                            <label th:errors="*{email}"></label>
                        </div>
                        <div class="col-md-12 form-group">
                            <input class="form-control" id="password" name="password" onblur="this.placeholder = 'Password'" onfocus="this.placeholder = ''"
                                   placeholder="Password" required th:field="*{password}"
                                   type="password">
                        </div>
                        <div class="col-md-12 form-group">
                            <input class="form-control" id="phoneNumber" name="phoneNumber" onblur="this.placeholder = 'Phone Number'"
                                   onfocus="this.placeholder = ''" placeholder="Phone Number" required
                                   th:field="*{phoneNumber}" type="number">
                        </div>
                        <div class="col-md-12 form-group">
                            <input class="form-control" id="address" name="address" onblur="this.placeholder = 'Address'" onfocus="this.placeholder = ''"
                                   placeholder="Address" required th:field="*{address}"
                                   type="text">
                        </div>
                        <div class="col-md-12 form-group">
                            <select name="category" id="category" class="form-control" th:field="*{role}">
                            <option th:each="roleOpt : ${T(com.example.demo.model.enums.Role).values()}"
                                    th:value="${roleOpt}" th:text="${roleOpt}" ></option>
                            </select>
                        </div>
                        <div class="col-md-12 form-group">
                            <button type="submit" value="Create Account" class="button button-register w-100">Register</button>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!--================End Login Box Area =================-->

</body>
</html>